Subject: bug#45821: Emacs UDP support on Windows

From: Robert Pluim <[email-masked]>
Date: Thu, 12 Jan 2023 12:18:51 +0100

>>>>> On Thu, 12 Jan 2023 12:46:23 +0200, Eli Zaretskii <[email-masked]> said:

    >> From: Robert Pluim <[email-masked]>
    >> Cc: [email-masked],  [email-masked]
    >> Date: Thu, 12 Jan 2023 11:24:45 +0100
    >> 
    >> Is it worth me trying to get emacs and the tests to run from cmd.exe?

    Eli> I don't see how would that be different?  And what exactly are the
    Eli> problems that make this sound like it doesn't work OOTB?  I regularly
    Eli> run tests in an interactive session I start from cmd.exe or from GDB,
    Eli> and it always works.

Itʼs Windows: I always feel like thereʼs some voodoo lurking that mere
mortals such as myself canʼt ever understand 😀

    >> At the moment that has dll problems, but Iʼm sure theyʼre fixable.

    Eli> What "dll problems"?

Emacs fails to find the libgmp and libwinpthread dlls, presumably
because when run from cmd.exe the path isnʼt set up correctly (theyʼre
somewhere under C:\msys64\mingw64). Anyway, after fixing that, the
result is the same: gnutls-serv crashes and Emacs waits forever.

Perhaps I should build a 32-bit emacs with MSYS instead of a 64bit one
with MSYS2

Robert
--